import _extends from "@babel/runtime/helpers/esm/extends";
import { jsxs as _jsxs } from "react/jsx-runtime";
import { jsx as _jsx } from "react/jsx-runtime";

/* eslint-disable react/prop-types */
import cx from 'classnames';
import ImageLazyLoad from '@s-ui/react-image-lazy-load';

var CardBasicMedia = function CardBasicMedia(_ref) {
  var src = _ref.src,
      _ref$alt = _ref.alt,
      alt = _ref$alt === void 0 ? '' : _ref$alt;
  return /*#__PURE__*/_jsx("div", {
    className: "sui-CardBasic-media",
    children: /*#__PURE__*/_jsx("img", {
      src: src,
      alt: alt
    })
  });
};
/**
 * Basic card containing a media object, an optional title and a description
 * text.
 */


export default function CardBasic(_ref2) {
  var _cx;

  var link = _ref2.link,
      Link = _ref2.linkFactory,
      media = _ref2.media,
      title = _ref2.title,
      titleStyle = _ref2.titleStyle,
      description = _ref2.description,
      button = _ref2.button,
      lazyLoad = _ref2.lazyLoad;
  var cardBasicTitleClassName = cx('sui-CardBasic-title', (_cx = {}, _cx["sui-CardBasic-title--" + titleStyle] = titleStyle, _cx));
  return /*#__PURE__*/_jsx("div", {
    className: "sui-CardBasic",
    children: /*#__PURE__*/_jsxs(Link, {
      href: link,
      className: "sui-CardBasic-link",
      children: [lazyLoad ? /*#__PURE__*/_jsx(ImageLazyLoad, _extends({}, lazyLoad, media)) : /*#__PURE__*/_jsx(CardBasicMedia, _extends({}, media)), /*#__PURE__*/_jsxs("div", {
        className: "sui-CardBasic-content",
        children: [title && /*#__PURE__*/_jsx("header", {
          className: cardBasicTitleClassName,
          children: title
        }), /*#__PURE__*/_jsx("div", {
          className: "sui-CardBasic-description",
          children: description
        }), button && /*#__PURE__*/_jsx("div", {
          className: "sui-CardBasic-action",
          children: button
        })]
      })]
    })
  });
}
CardBasic.defaultProps = {
  linkFactory: function linkFactory(_ref3) {
    var href = _ref3.href,
        className = _ref3.className,
        children = _ref3.children;
    return /*#__PURE__*/_jsx("a", {
      href: href,
      className: className,
      children: children
    });
  },
  lazyLoad: false
};
CardBasic.displayName = 'CardBasic';